Skip to main content
GET
/
api
/
pricing
/
batches
List Batches
curl --request GET \
  --url https://api.merchantops.ai/api/pricing/batches
{
  "items": [
    {}
  ],
  "limit": 123,
  "skip": 123,
  "total": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Query Parameters

status
string | null

Filter by status

brand_key
string | null

Filter by brand key

created_by
string | null
q
string | null

Search name + description

effective_date_from
string | null
effective_date_to
string | null
sort_by
string | null
sort_dir
string
default:desc
skip
integer
default:0
Required range: x >= 0
limit
integer
default:50
Required range: 1 <= x <= 200

Cookies

stytch_session
string | null

Response

Successful Response

Standard paginated list response.

items
Items · object[]
required
limit
integer
required
skip
integer
required
total
integer
required